<Container {{did-insert this.setup}} @value={{@value.data.container}} @deviceSize={{@deviceSize}}
  @isEditor={{@isEditor}} class="title-with-buttons use-highlights" data-name={{@value.name}}
  data-path="{{@path}}.data.container">
  {{#if @value.data.title.text}}
    <div>
      <TextWithOptions @deviceSize={{@deviceSize}} @options={{@value.data.title}} @tag="h"
        data-path="{{@path}}.data.title" data-text-value="true" data-type="title" data-name={{@value.name}}
        data-gid={{@value.gid}}>{{!
        }}{{@value.data.title.text}}{{!
   }}</TextWithOptions>
    </div>
  {{else}}
    <div class="d-none" data-path="{{@path}}.data.title" data-text-value="true" data-name={{@value.name}}
      data-gid={{@value.gid}} data-editor="text-with-options" data-type="title" />
  {{/if}}

  {{#if this.hasPicture}}
    <View::Base::SourceRecord @path={{@path}} @model={{@model}} @value={{@value}} data-with-picture="true" as |record|>
      <PictureWithOptions data-path={{concat @path ".data.picture"}} data-name={{@value.name}} data-gid={{@value.gid}}
        class="picture" @deviceSize={{@deviceSize}} @name={{record.name}} @meta={{record.meta}} @src={{record.picture}}
        @hash={{record.hash}} @options={{@value.data.picture}} />
    </View::Base::SourceRecord>
  {{else}}
    <div class="d-none" data-path="{{@path}}.data.source" data-text-value="true" data-name={{@value.name}}
      data-gid={{@value.gid}} data-editor="source-record" data-type="data source" />
  {{/if}}

  {{#if @value.data.paragraph.text}}
    <div>
      <TextWithOptions @deviceSize={{@deviceSize}} @options={{@value.data.paragraph}}
        data-path="{{@path}}.data.paragraph" data-text-value="true" data-name={{@value.name}} data-gid={{@value.gid}}>{{!
        }}{{@value.data.paragraph.text}}{{!
    }}</TextWithOptions>
    </div>
  {{else}}
    <div class="d-none" data-path="{{@path}}.data.paragraph" data-text-value="true" data-name={{@value.name}}
      data-gid={{@value.gid}} data-editor="text-with-options" data-type="text" />
  {{/if}}

  {{#if @value.data.buttons}}
    <div class="button-list {{page-col-class this.paragraphAlign deviceSize=@deviceSize}}">
      <View::GenericList data-gid={{@value.gid}} @path="{{@path}}.data.buttons" data-name="{{@value.name}}"
        @isEditor={{@isEditor}} @value={{@value.data.buttons}} as |button index|>
        <Button class="mb-2 me-3" @value={{button}} @isEditor={{@isEditor}} @model={{@model}}
          data-path="{{@path}}.data.buttons.{{index}}" data-name="{{@value.name}} button {{sum index 1}}"
          data-gid={{@value.gid}} data-editor="button" data-type="button" data-model="page"
          data-model-id={{@model.page.id}} />
      </View::GenericList>
    </div>
  {{else}}
    <div class="d-none" data-path="{{@path}}.data.buttons" data-text-value="true"
      data-name="{{@value.name}} button list" data-gid={{@value.gid}} data-editor="button-list" data-type="text" />
  {{/if}}
</Container>